<template>
    <header :class="{'headroom--unpinned': scrolled}"   class="headroom header">
        <nav>
            <h1>
                <router-link to="/">PETCARE</router-link>
            </h1>
            <ul>
                <li><router-link to="/mascotas">Mascotas</router-link></li>
                <li><router-link to="/registro">Iniciar Sesion</router-link></li>
                <li><router-link to="/panel_usuario">Panel Usuario</router-link></li>
                <li><router-link to="/panel_admin">Panel Admin</router-link></li>
                <li><router-link to="/posts">Posts</router-link></li>
            </ul>
        </nav>
    </header>
</template>
<script>
export default {
  data() {
    return {
      limitPosition: 500,
      scrolled: false,
      lastPosition: 0
    };
  },

  methods: {
    handleScroll() {
      if (this.lastPosition < window.scrollY && this.limitPosition < window.scrollY) {
        this.scrolled = true;
        // move up!
      } 
      
      if (this.lastPosition > window.scrollY) {
        this.scrolled = false;
        // move down
      }
      
      this.lastPosition = window.scrollY;
      // this.scrolled = window.scrollY > 250;
    }
  },
  created() {
    window.addEventListener("scroll", this.handleScroll);
  },
  unmounted() {
    window.removeEventListener("scroll", this.handleScroll);
  }
}
</script>
<style scoped>
header {
  width: 100%;
  height: 5rem;
  top:0;
  background-color: #3d008d;
  position: fixed;
  display: flex;
  z-index: 1;
  justify-content: center;
  align-items: center;
}

header a {
  text-decoration: none;
  color: #f391e3;
  display: inline-block;
  padding: 0.75rem 1.5rem;
  border: 1px solid transparent;
}

a:active,
a:hover,
a.router-link-active {
  border: 1px solid #f391e3;
}

h1 {
  margin: 0;
}

.headroom {
    will-change: transform;
    transition: transform 200ms linear;
}
.headroom--pinned {
    transform: translateY(0%);
}
.headroom--unpinned {
    transform: translateY(-100%);
}

h1 a {
  color: white;
  margin: 0;
}

h1 a:hover,
h1 a:active,
h1 a.router-link-active {
  border-color: transparent;
}

header nav {
  width: 90%;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

li {
  margin: 0 0.5rem;
}
</style>